body {
  margin: 0;
  font: Helvetica;
}
/*Start for header*/
header {
  display: flex;
  flex-direction: column;
  background-color: #020321;
  color: #ffffff;
  padding: 20px;
}

header .row {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

header .right-align {
  display: flex;
  align-items: center;
}

header .item {
  margin-right: 10px;
}

header .row-center {
  justify-content: center;
}

/*End for header*/

/*Start for footer*/
.footer {
    background-color: #020321;
    color: #fff;
    padding: 20px 0;
    position: fixed;
    bottom: 0;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.footer .container {
    text-align: center;
}

.footer .text-muted {
    color: #6c757d;
}
/*End for footer*/

/*Start for body*/
h2{
    text-align: center;
    font-size: 30px;
    margin-top: 50px;
}

.container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

.container-item {
  display: flex;
  flex-direction: column;
  width: 20em;
  margin: 25px;
  border: 2px solid #020321;
  border-radius: 8px;
  justify-content: center;
  align-items: center;
}

.container-functions{
    padding: 10px;
    color: #fff;
}

.container-functions .view{
    background-color: green;
    padding: 8px;
    border-radius: 8px;
}

.container-functions .update{
    background-color: blue;
    padding: 8px;
    border-radius: 8px;
}

.container-functions .addtocart{
    background-color: blue;
    padding: 8px;
    border-radius: 8px;
    color: #fff;
}

.page-navigation {
  text-align: center;
  margin: 15px;
}
/*End for body*/

/*Start for login*/
.container-login {
  display: flex;
  justify-content: center;
  margin-top: 100px;
  text-align: center;
  justify-content: center;
/*  margin-top: 25em;
  margin-bottom: 25em; */
}

.container-login form {
  width: 100%;
  max-width: 400px;
  padding: 20px;
  box-shadow: 0px 0px 10px 2px rgba(0, 0, 0, 0.1);
  border-radius: 10px;
  border: 2px solid #020321;
}

.container-login input[type="text"],
.container-login input[type="password"] {
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  box-sizing: border-box;
  border-radius: 5px;
}

.container-login button[type="submit"] {
  background-color: #020321;
  color: #fff;
  border: none;
  border-radius: 5px;
  padding: 12px 20px;
  margin-top: 10px;
  cursor: pointer;
  font-size: 16px;
  transition: background-color 0.2s;
}

.container-login button[type="submit"]:hover {
  background-color: #blue;
}

.container-login label {
  display: block;
  font-size: 14px;
  font-weight: bold;
  margin-top: 10px;
  text-align: left;
}
/*End for login*/

/*Start for crudProduct*/
.container-crudProduct {
  display: flex;
  justify-content: center;
}

.container-crudProduct form {
  width: 100%;
  max-width: 400px;
  padding: 20px;
  box-shadow: 0px 0px 10px 2px rgba(0, 0, 0, 0.1);
  border-radius: 10px;
}

.container-crudProduct input[type="text"],
input[type="password"] {
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  box-sizing: border-box;
  border-radius: 5px;
}

.container-crudProduct button[type="submit"] {
  background-color: #020321;
  color: #fff;
  border: none;
  border-radius: 5px;
  padding: 12px 20px;
  margin-top: 10px;
  cursor: pointer;
  font-size: 16px;
}

.delete button[type="submit"]{
    background-color: red;
}

.container-crudProduct label {
  display: block;
  font-size: 14px;
  font-weight: bold;
  margin-top: 10px;
}

.container-crudProduct .radiogroup label {
  display: inline;
}
/*End for crudProduct*/

/*Start for cartPage*/
.container-cart {
  display: flex;
  flex-direction: column;
  background-color: white;
  margin-left: 50px;
  margin-right: 50px;
}
.checkbox-item {
  display: flex;
  align-items: center;
}

.cart-item-details {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.item-details-text {
  display: flex;
  flex-direction: row;
  flex: 1;
  justify-content: space-between;
  align-items: center;
}

.cart-item-actions{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items:center;
}

.cart-item-actions button{
    display: flex;
    margin-left: 5px;
    margin-right: 5px;
}

.cart-actions {
  display: flex;
  flex-direction: row;
}
/*End for cartPage*/

/*Start for Signup*/

.container-signup {
  display: flex;
  justify-content: center;
  margin-top: 25px;
  margin-bottom: 25px;
}

.container-signup form {
  width: 100%;
  max-width: 400px;
  padding: 20px;
  box-shadow: 0px 0px 10px 2px rgba(0, 0, 0, 0.1);
  border-radius: 10px;
}

.container-signup input[type="text"],
.container-signup input[type="password"] {
  width: 100%;
  padding: 12px 20px;
  margin: 8px 0;
  display: inline-block;
  border: 1px solid #ccc;
  box-sizing: border-box;
  border-radius: 5px;
}

.container-signup button[type="submit"] {
  background-color: #020321;
  color: #fff;
  border: none;
  border-radius: 5px;
  padding: 12px 20px;
  margin-top: 10px;
  cursor: pointer;
  font-size: 16px;
  transition: background-color 0.2s;
}

.container-signup button[type="submit"]:hover {
  background-color: blue;
}

.container-signup label {
  display: block;
  font-size: 14px;
  font-weight: bold;
  margin-top: 10px;
}

.container-signup .radiogroup label {
  display: inline;
}

/*End for Signup*/

/*Start for ProductPage*/

.container-viewProduct {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
}

.container-item-viewProduct {
  display: flex;
  flex-direction: column;
  width: 20em;
  margin: 25px;
  border: 2px solid #020321;
  border-radius: 8px;
  padding: 20px;
}

/*End for ProductPage*/

.hidden {
    display: none;
}

a {
    text-decoration: none;
    color: inherit;
}

.delete{
    background-color: red;
    padding: 8px;
    border: 2px solid red;
    border-radius: 8px;
    color: #fff;
  cursor: pointer;
  font-size: 16px;
  transition: background-color 0.2s;
}

.checkout{
    background-color: blue;
    padding: 8px;
    border: 2px solid blue;
    border-radius: 8px;
    color: #fff;
    margin-left: 20px;
    cursor: pointer;
    font-size: 16px;
}

/*
a:visited {
  color: inherit;
}
*/